<?php
error_reporting(0);
$curl=curl_init(); //初始化cURL 对象
curl_setopt($curl, CURLOPT_URL, "http://www.baidu.com"); //目标
curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1); //要求结果保存到字符串中
curl_setopt($curl, CURLOPT_TIMEOUT, 3); //超时秒数,避免长时间无响应
$str=curl_exec($curl); //运行cURL，请求远程
curl_close($curl); //关闭URL请求
if($str) {
    $cname='支持';
} else {
    $cname='不支持';
}
$str1=@file_get_contents("http://www.baidu.com"); //远程访问
if($str1) {
    $cname1='支持';
} else {
    $cname1='不支持';
}
echo "<script>alert('cURL检测结果：" . $cname . "\\n\\nfile_get_contents检测结果：" . $cname1 . "');history.back();</script>";
?>